Bug 1354125

Summary: Sorting 'started' view causes spurious/bad tracker announces -- patch available
Product: [Fedora] Fedora Reporter: Thomas Spear <Speeddymon>
Component: rtorrentAssignee: Conrad Meyer <cse.cem+redhatbugz>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: cse.cem+redhatbugz, denis, greg, ianburrell, sanjay.ankur
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rtorrent-0.9.6-10.fc27 rtorrent-0.9.6-10.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-01 13:41:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Thomas Spear 2016-07-09 19:56:23 UTC
Description of problem:
Sorting the 'started' view of rTorrent 0.9.6 causes 2 things to happen.
1) It causes announces to fire for all torrents every time that view.sort is called (such as on a schedule, or manually). If done on a schedule with an interval that is very short, some trackers will warn the user in an error message in the client about announcing too often.
2) It causes trackers to not receive updates for stats, allowing for ratio cheating on trackers that monitor ratio.

Version-Release number of selected component (if applicable):
0.9.6

How reproducible:
100% every time

Steps to Reproduce:
1. Add the below to ~/.rtorrent.rc

# Sort started view by name
# Interval of 30 minutes due to bug which causes tracker hammering
view.sort_current=started,less=d.name=
view.sort_new=started,less=d.name=
view.sort=started
schedule2=sort_started,0,10,view.sort=started

2. Start rTorrent
3.

Actual results:
The view is sorted, announces are sent out, stats are not updated.

Expected results:
The view is sorted without any side effects

Additional info:
This was reported upstream, and a proposed fix was created by chros73. He has created a pull request to both mainline and the rtorrent-ps fork.

https://github.com/rakshasa/rtorrent/pull/451

Rakshasa has not committed a change to mainline in 4 months. Hence, I request you to evaluate the proposed fix and consider it for inclusion in the Fedora (and EPEL since I run CentOS) release.

Comment 1 Jan Kurik 2016-07-26 04:31:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora End Of Life 2017-11-16 18:47:47 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:32:47 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Ankur Sinha (FranciscoD) 2017-12-12 16:20:26 UTC
Leaving this open for the time being, assuming it's still relevant.

Comment 5 Fedora End Of Life 2018-02-20 15:22:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 6 Conrad Meyer 2018-04-18 16:09:42 UTC
Sorry, my bugzilla email wasn't working for a number of years, until quite recently.  Taking a look sometime today.

Comment 7 Conrad Meyer 2018-04-29 06:13:23 UTC
Scratch build here: https://koji.fedoraproject.org/koji/taskinfo?taskID=26639525

Comment 9 Fedora Update System 2018-04-29 20:13:01 UTC
rtorrent-0.9.6-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e58054771d

Comment 10 Fedora Update System 2018-04-29 20:13:08 UTC
rtorrent-0.9.6-10.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-04711c2a01

Comment 11 Fedora Update System 2018-04-30 18:43:20 UTC
rtorrent-0.9.6-10.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-04711c2a01

Comment 12 Fedora Update System 2018-04-30 19:54:01 UTC
rtorrent-0.9.6-10.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e58054771d

Comment 13 Fedora Update System 2018-05-01 13:41:32 UTC
rtorrent-0.9.6-10.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Thomas Spear 2018-05-01 13:53:15 UTC
How do we get this pushed to EPEL?

Comment 15 Conrad Meyer 2018-05-01 14:13:52 UTC
(In reply to Thomas Spear from comment #14)
> How do we get this pushed to EPEL?

Beats me.  I don't do EL.

Comment 16 Thomas Spear 2018-05-01 14:20:17 UTC
Ok thx.

Comment 17 Conrad Meyer 2018-05-01 14:46:45 UTC
In the old days separate contributors could own each branch of a package (Fedora N, Fedora N-1, rawhide, EL6, etc).  I'm not sure if that's true today.  If so, maybe clone a separate bug against EPEL and let whoever owns that merge/test the fix.  But if it's auto-assigned to me, I'm not sure who to bounce it to, sorry.

Comment 18 Fedora Update System 2018-05-02 10:52:49 UTC
rtorrent-0.9.6-10.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.